{========================================================================}
{=                (c) 1995-97 SwiftSoft Ronald Dittrich                 =}
{========================================================================}
{=                          All Rights Reserved                         =}
{========================================================================}
{=  D 01099 Dresden             = Tel.: +0351-8012255                   =}
{=  Loewenstr.7a                = CIS : 100666,154, AOL: swiftsoft      =}
{========================================================================}
{=  Actual versions on http://members.aol.com/swiftsoft/mmtools.html    =}
{========================================================================}
{=  This code is for reference purposes only and may not be copied or   =}
{=  distributed in any format electronic or otherwise except one copy   =}
{=  for backup purposes.                                                =}
{=                                                                      =}
{=  No Delphi Component Kit or Component individually or in a collection=}
{=  subclassed or otherwise from the code in this unit, or associated   =}
{=  .pas, .dfm, .dcu, .asm or .obj files may be sold or distributed     =}
{=  without express permission from SwiftSoft.                          =}
{=                                                                      =}
{=  For more licence informations please refer to the associated        =}
{=  HelpFile.                                                           =}
{========================================================================}
unit Unit1;

interface

uses
{$IFDEF WIN32}
  Windows,
{$ELSE}
  WinTypes,
  WinProcs,
{$ENDIF}
  Messages,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  ExtCtrls,
  MMDebug;

type
  TForm1 = class(TForm)
    Button2: TButton;
    Button1: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    Button13: TButton;
    Button14: TButton;
    Button15: TButton;
    Button16: TButton;
    Button18: TButton;
    Button19: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure Button14Click(Sender: TObject);
    procedure Button15Click(Sender: TObject);
    procedure Button16Click(Sender: TObject);
    procedure Button18Click(Sender: TObject);
    procedure Button19Click(Sender: TObject);
  private
    FEnabled: Boolean;
  public
  end;

procedure Test;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
   FEnabled := True;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
   FEnabled := not FEnabled;
   DB_Enable(FEnabled);
   if FEnabled then
      Button1.Caption := 'Enabled: On'
   else
      Button1.Caption := 'Enabled: Off';
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   DB_Clear;
end;

procedure Test;
begin
   Db_Assert(False, 'Condition False');
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   Test;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
   DB_Format(0,'Condition %s',['False']);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
   DB_FormatLn(0,'Condition %s',['True']);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
   DB_WriteBool(0,False);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
   DB_WriteBoolLn(0,False);
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
   DB_WriteChar(0,'A');
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
   DB_WriteCharLn(0,'B');
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
   DB_WriteHex(0,1234567890);
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
   DB_WriteHexLn(0,123456789);
end;

procedure TForm1.Button12Click(Sender: TObject);
Var
   buf: array[0..1] of Longint;
begin
   buf[0] := 1234567890;
   buf[1] := 0987654321;
   DB_WriteHexBuffer(0,buf,sizeOf(Buf));
end;

procedure TForm1.Button13Click(Sender: TObject);
Var
   buf: array[0..1] of Longint;
begin
   buf[0] := 1234567890;
   buf[1] := 0987654321;
   DB_WriteHexBufferLn(0,buf,sizeOf(Buf));
end;

procedure TForm1.Button14Click(Sender: TObject);
begin
   DB_WriteInt(0,123456789);
end;

procedure TForm1.Button15Click(Sender: TObject);
begin
   DB_WriteIntLn(0,1234567890);
end;

procedure TForm1.Button16Click(Sender: TObject);
begin
   DB_WriteLn;
end;

procedure TForm1.Button18Click(Sender: TObject);
begin
   DB_Open;
end;

procedure TForm1.Button19Click(Sender: TObject);
begin
   DB_Close;
end;

end.
